package org.dromara.common.sms.client.message;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement(name = "deliveryStatus")
@XmlAccessorType(XmlAccessType.FIELD)
public class DeliveryStatus {
    private String smsId;
    private String mobile;
    private String status;
    private String groupId;

    public String getGroupId() {
        return groupId;
    }

    public void setGroupId(String groupId) {
        this.groupId = groupId;
    }

    public String getSmsId() {
        return smsId;
    }

    public void setSmsId(String smsId) {
        this.smsId = smsId;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    @Override
    public String toString() {
        return String.format("{\n  smsId:%s,\n  mobile:%s,\n  status:%s\n  groupId:%s\n}", this.smsId, this.mobile, this.status,this.groupId);
    }
}
